Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 886322 (mingw-nss) - Review Request: mingw-nss - MinGW build of Network Security Services
Summary: Review Request: mingw-nss - MinGW build of Network Security Services
Keywords:
Status: NEW
Alias: mingw-nss
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 886320
Blocks: FE-DEADREVIEW mingw-libcacard mingw-liboauth
TreeView+ depends on / blocked
 
Reported: 2012-12-12 03:08 UTC by greg.hellings
Modified: 2018-10-06 13:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-06 03:31:24 UTC


Attachments (Terms of Use)

Description greg.hellings 2012-12-12 03:08:29 UTC
Spec URL: http://dl.thehellings.com/mingw32/nss/mingw-nss.spec
SRPM URL: http://dl.thehellings.com/mingw32/nss/mingw-nss-3.14-1.fc17.src.rpm
Description: Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509
v3 certificates, and other security standards.

Fedora Account System Username: greghellings

Comment 1 Marc-Andre Lureau 2013-02-20 15:33:21 UTC
Doesn't build for me on f18 with nspr from bug 886320.

The first error is:

make[1]: Entering directory `/home/elmarco/rpmbuild/BUILD/nss-3.14/build_win32/security/dbm/src'
i686-w64-mingw32-gcc -o WINNT5.0__i686-w64-mingw32-gcc_DBG.OBJ/db.o -c -g -mwindows -mms-bitfields -mnop-fun-dllimport -D_WIN32_IE=0x0501 -U__MMX__ -U__SSE__ -U__SSE2__ -DXP_PC -DDEBUG -D_DEBUG -UNDEBUG -DDEBUG_elmarco -DWIN32 -D_X86_ -D_WINDOWS -DWINNT -DUSE_UTIL_DIRECTLY -DSTDC_HEADERS -DHAVE_STRERROR -DHAVE_SNPRINTF -DMEMMOVE -D__DBINTERFACE_PRIVATE  -I/usr/include/nspr4   -I../../../dist/WINNT5.0__i686-w64-mingw32-gcc_DBG.OBJ/include -I../../../dist/public/dbm -I../../../dist/private/dbm -I../../../dbm/include  ../../../dbm/src/db.c
In file included from ../../../dbm/src/db.c:50:0:
../../../dist/public/dbm/mcom_db.h:289:48: error: unknown type name 'uint'


Apparently, uint has been deprecated:

grep uint /usr/i686-w64-mingw32/sys-root/mingw/include/nspr4/obsolete/protypes.h
typedef PRUintn uintn;
typedef PRUintn uint;
...

Comment 2 Marc-Andre Lureau 2013-02-25 10:23:47 UTC
And make sure wine binfmt is disabled!

Comment 3 Fabiano Fidêncio 2015-10-11 10:55:13 UTC
Just updating the Spec and SRPM files:

Spec URL: https://fidencio.fedorapeople.org/fedora/mingw-nss/mingw-nss.spec
SPRM URL: https://fidencio.fedorapeople.org/fedora/mingw-nss/mingw-nss-3.20-1.fc24.src.rpm

Builds fine on rawhide with updated mingw-nspr from bug 886320.

Comment 4 Upstream Release Monitoring 2015-12-03 20:42:23 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 5 Upstream Release Monitoring 2015-12-03 20:43:35 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 6 Upstream Release Monitoring 2015-12-03 20:44:28 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 7 Marc-Andre Lureau 2016-03-04 09:43:48 UTC
I think the mingw-nss package should be closer to the native nss Fedora package. Since this is a security package, there is a lot of configuration and patches to be shared. Also the package version should be updated to be in sync. Once this is done, I can start the review.

thanks

Comment 8 Fabiano Fidêncio 2016-03-04 09:54:57 UTC
(In reply to Marc-Andre Lureau from comment #7)
> I think the mingw-nss package should be closer to the native nss Fedora
> package. Since this is a security package, there is a lot of configuration
> and patches to be shared. Also the package version should be updated to be
> in sync. Once this is done, I can start the review.

Well, It was when I first submit the spec files :-\
I will update this and ping you for a review.

Comment 9 greg.hellings 2018-09-06 03:31:24 UTC
I'm done worrying about this. I don't have use for it anymore, and I'm not going to chase around an age old review request for a package I don't need.

Comment 10 Christophe Fergeau 2018-09-10 09:28:42 UTC
Keeping this open as I was planning to move forward with this after my holidays ( https://teuf.fedorapeople.org/mingw-nss/ )

Comment 11 Albert Astals Cid 2018-10-06 13:50:53 UTC
It would be great if we had this so i could include it in poppler's mingw64 fedora based CI :)

e.g. https://gitlab.freedesktop.org/poppler/poppler/-/jobs/27591


Note You need to log in before you can comment on or make changes to this bug.